Package org.apache.wiki.pages

## Class PageTimeComparator

- java.lang.Object
- - org.apache.wiki.pages.PageTimeComparator

All Implemented Interfaces:
  `java.io.Serializable`, `java.util.Comparator<Page>`

    public class PageTimeComparator
    extends java.lang.Object
    implements java.util.Comparator<Page>, java.io.Serializable

Compares the lastModified date of its arguments. Both o1 and o2 MUST be WikiPage objects, or else you will receive a ClassCastException.

If the lastModified date is the same, then the next key is the page name. If the page name is also equal, then returns 0 for equality.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PageTimeComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(Page p1, Page p2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### PageTimeComparator

    public PageTimeComparator()

### Method Detail

#### compare

    public int compare​(Page p1,
                       Page p2)

Specified by:
  `compare` in interface `java.util.Comparator<Page>`